### Enumeration

# EBookContacts BookCursorOrigin

since: 3.12

#### Declaration

    enum EBookContacts.BookCursorOrigin

#### Description [src]

Specifies the start position to in the list of traversed contacts in calls to e_book_client_cursor_step().

When an `EBookClientCursor` is created, the current position implied by `E_BOOK_CURSOR_ORIGIN_CURRENT` is the same as `E_BOOK_CURSOR_ORIGIN_BEGIN`.

Available since: 3.12

#### Members

`E_BOOK_CURSOR_ORIGIN_CURRENT`

  The current cursor position.

  - Value: `0`
  - Available since: 3.12
`E_BOOK_CURSOR_ORIGIN_BEGIN`

  The beginning of the cursor results.

  - Value: `1`
  - Available since: 3.12
`E_BOOK_CURSOR_ORIGIN_END`

  The ending of the cursor results.

  - Value: `2`
  - Available since: 3.12